TTF_GetGlyphImageForIndex(3)

NAME
TTF_GetGlyphImageForIndex - Get the pixel image for a character index.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_Surface * TTF_GetGlyphImageForIndex(TTF_Font *font, Uint32 glyph_index, TTF_ImageType *image_type);

DESCRIPTION
This is useful for text engine implementations, which can call this with the glyph_index in a TTF_CopyOperation

FUNCTION PARAMETERS

font
    the font to query.

glyph_index
    the index of the glyph to return.

image_type
    a pointer filled in with the glyph image type, may be NULL.

RETURN VALUE
Returns an SDL_Surface containing the glyph, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.